Subject: bug#36365: Add info how to deselect secondary selection (Emacs manual)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Aug 2019 12:00:16 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 1 Aug 2019 15:33:17 +0200
> 
> >> But I see nothing wrong with the doc string as it is.
> >
> > Right now the string is:
> >    Set one end of the secondary selection to the position clicked
> >    on.  Use <M-mouse-3> to set the other end and complete the
> >    secondary selection.
> >
> > As you can see - no information about deselect, so perhaps just
> > copy-paste last sentence from your patch - "This command
> > cancels any existing secondary selection, when it starts a new
> > one."
> 
> Any update on this...
> 
> >> I see now that there's no way of cancelling a secondary selection
> >> without starting a new one.  So I changed the text to reflect that.
> >
> > Alright, but I think:
> >    use @kbd{M-mouse-3} to set the other end and complete the
> >    selection.
> >
> > that this sentence from the patch is unnecessary.  How to set
> > secondary selection is in description of 'M-mouse-3' which is just
> > ONE line below.  In doc string of 'mouse-start-secondary' it is OK,
> > because there is no description of 'M-mouse-3', but in the manual
> > there is.
> 
> and this?

I don't think there's anything wrong with the documentation you cite,
and I thought I already explained why I thought so in this discussion.